
Redmine - Defect #12953

Cannot close issues under certain situations

2013-01-23 10:22 - Fred Leeflang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.2.2

Description

Mysql: 5.5.29-0ubuntu0.12.04.1

Environment:

Redmine version                          2.2.2.stable.11258

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.11

Environment                              production

Database adapter                         MySQL

Redmine plugins:

redmine_scm                              0.4.1

As a redmine administrator with all permissions in the workflow (nor as any other user that should be allowed) I cant close certain

issues that are in a resolved state.

This does not apply to all issues, I have not been able to narrow down why one issue works but another one doesn't.

This morning I have:

updated redmine from svn

rake db:migrate RAILS_ENV=production

rake redmine:plugins:migrate RAILS_ENV=production (Migrating redmine_scm (SCM Creator)...)

restarted Redmine

This has not fixed the problem. Please let me know what other information I need to specify to help fix this.

History

#1 - 2013-01-23 10:52 - Daniel Felix

Can you define what you've tried?

What do you mean with "cannot close"? You set a ticket to close, but it gets rejected or you haven't the item in your pulldownmenu?

Is the workflow definition set to allow you to close an issue?

#2 - 2013-01-23 10:59 - Fred Leeflang

Yes, hence 'As a redmine administrator with all permissions in the workflow'.

I don't have 'close' in the issue update pulldown. I have tried with several logins, all of which should have permission to go from Resolved -> Closed.

Furthermore I have tried to change different issue fields to see if somehow this prevented 'Closed' from showing up in the pulldown but without any

result.

I have also verified that other issues which appear virtually identical (eg. 'Resolved', same Issue Type, same creator, same assigned etc.) can in fact

be closed, so this seems like a one-off bug. I'm not sure how many issues this applies to right now in our database but I've asked colleagues to report

any they see. So far I have only one that I can clearly reproduce.

#3 - 2013-01-23 11:48 - Daniel Felix

Is this issue a parent task of some other issue?

#4 - 2013-01-23 11:55 - Fred Leeflang

Indeed, it has a blocking issue that's still in 'Accepted'. Is this embedded in Redmine right now that the parent task cannot be closed then?

#5 - 2013-01-23 13:25 - Daniel Felix
Well if you have a task which is blocked by another task, the blocked task can't be closed. :-)

#6 - 2013-01-23 14:09 - Fred Leeflang

- Status changed from New to Resolved

Thanks Felix, I've put this on resolved.

#7 - 2013-01-23 14:51 - Daniel Felix

- Status changed from Resolved to Closed

So close... ;-)

Daniel...

Thanks for the feedback, I'm closing this one.

#8 - 2013-01-26 05:12 - Mischa The Evil

FWIW: basically documented in RedmineIssues.
https://www.redmine.org/projects/redmine/wiki/RedmineIssues#Related-issues
